#!/usr/bin/python3

import setuptools
from pathlib import Path

# use readme file as long description
this_directory = Path(__file__).parent
long_description = (this_directory / "README.md").read_text()

setuptools.setup(
    name="Wobuzz",
    version="0.0",
    description="An audio player made by The Wobbler",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://teapot.informationsanarchistik.de/Wobbl/Wobuzz",
    author="The Wobbler",
    author_email="emil@i21k.de",
    packages=setuptools.find_packages(include=["wobuzz", "wobuzz.*"]),
    package_data={"": ["*.txt"]},
    install_requires=[
        "PyQt6",
        "tinytag",
        "pydub",
        "pygame",
        "wobbl_tools @ git+https://teapot.informationsanarchistik.de/Wobbl/wobbl_tools@main#egg=wobbl_tools"
    ],
    entry_points={
        "console_scripts": ["wobuzz=wobuzz.command_line:main"],
    }
)
